// GetCPUCount.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include <testsys.h>
#include <windows.h>

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
    }
    return TRUE;
}


// Return the number of CPUs installed.

JNIEXPORT jlong JNICALL Java_testsys_getCPUCount(JNIEnv *env, jobject jobj)
{
	SYSTEM_INFO sysinfo;

	GetSystemInfo(&sysinfo);

	return (jlong)sysinfo.dwNumberOfProcessors;
}
