#!/bin/sh
set -x
export EHOME=..
if [ -d "/cygdrive/c" ]
then
	sep=";"
	OJC="ojc.exe -obfuscate"
else
	sep=":"
	OJC="ojc -obfuscate"
fi
if [ ! -z "$JAVACOMP" ]
then
	OJC=$JAVACOMP
fi
echo "Using Java compiler '$OJC'"
$OJC -classpath ".$sep$EHOME/lib/ezlicgen25.jar$sep$EHOME/lib/ezlicrun25.jar$sep$EHOME/lib/ezlicmgrgui25.jar$sep$EHOME/extlib/ilscrypt10.jar" *.java
ret=$?
if test $ret -ne 0
then
	echo "*** Compilation aborted due to errors ***"
	exit $ret
fi
exit 0
